Summary:	PostgreSQL module for Python
Summary(pl.UTF-8):	Moduł PostgreSQL dla Pythona
Name:		python-PyGreSQL
Version:	4.1.1
Release:	2
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.pygresql.org/files/PyGreSQL-%{version}.tgz
# Source0-md5:	71d0b8c5a382f635572eb52fee47cd08
URL:		http://www.pygresql.org/
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Obsoletes:	python-postgresql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyGreSQL is a Python module that interfaces to a PostgreSQL database.
It embeds the PostgreSQL query library to allow easy use of the
powerful PostgreSQL features from a Python script.

%description -l pl.UTF-8
PyGreSQL to moduł Pythona będący interfejsem do bazy danych
PostgreSQL. Osadza bibliotekę zapytań PostgreSQL, aby umożliwić łatwe
korzystanie z potężnych możliwości PostgreSQL-a w skryptach Pythona.

%prep
%setup -q -n PyGreSQL-%{version}

%build
./setup.py build_ext \
	-I/usr/include/postgresql/server

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

install tutorial/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{py_sitedir}/_pg.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/PyGreSQL-*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyGreSQL.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7999f1e
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b05e6f4
- automatic change: use py_build/py_install macros

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 562d4db
- Version: 4.1.1

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b98f83
- release 2

* Wed Jan 07 2009 duddits <duddits@pld-linux.org> fc3af4e
- up to 4.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 28f4570
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cb4638f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a5e108f
- converted to UTF-8

* Mon Nov 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 92324e4
- builds without python-devel-src
- added .egg-info for python 2.5

* Sun Nov 26 2006 psz <psz@pld-linux.org> ac394cf
- up to 3.8.1

* Sun Oct 02 2005 twittner <twittner@pld-linux.org> c4d795c
- added missing md5

* Sun Oct 02 2005 twittner <twittner@pld-linux.org> 93fd678
- up to 3.7

* Thu Jun 09 2005 saq <saq@pld-linux.org> c082f4c
- up to 3.6.2

* Fri Dec 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> e4e304b
- rel2

* Mon Aug 30 2004 Marcin Gajda <m.gajda@functional-software.com> 540d26d
- version 3.5
- cleanups

* Sat Feb 07 2004 Jacek Konieczny <jajcus@pld-linux.org> d944c52
- Version: 3.4 (final)

* Fri Nov 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 202121e
- silently disappeared from postgresql 7.4

* Tue May 29 2001 wrobell <wrobell@pld-linux.org> e5b5a3f
- obsoleted by postgresql-python package

* Wed May 02 2001 Jakub Bogusz <qboosh@pld-linux.org> 9f437a9
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

* Sat Nov 11 2000 wrobell <wrobell@pld-linux.org> ae1d77b
- updated to version 3.1
- compiling with RPM_OPT_FLAGS
- sources in the package replaced with byte-compiled and optimized files

